using AutoMapper;
using System.ComponentModel.DataAnnotations;

namespace DSaC_second.Models.DTOs
{
    public class ContractBaseDto
    {
        [Required(ErrorMessage = "Contract number must be present")]
        public string ContractNumber { get; set; } = null!;

        [Required(ErrorMessage = "Manager name must be present")]
        public string ManagerName { get; set; } = null!;

        [Required(ErrorMessage = "Counterparty id must be present")]
        public Guid CounterpartyId { get; set; }
    }
}
